Blackfire Python

  • POST
  • /workspaces
  • /:workspace
  • /projects
  • /:project_name
  • /pipelines
  • /:pipeline_id
  • /actions

Request

URL PARAMETERS
workspacerequired string
The workspace domain.
pipeline_idrequired integer
The numerical ID of the desired pipeline.
project_namerequired string
The name ID of the project.
POST PARAMETERS
namerequired string
The name of the action.
typerequired string
The type of the action. Should be set to BLACKFIRE_PYTHON.
execute_commandsrequired string[]
The commands that will be executed.
versionrequired string
The version of Python.
integrationrequired Integration
The integration.
shellstring
The name of the shell that will be used to execute commands. Can be one of SH (default) or BASH.
setup_commandsstring[]
The command that will be executed only on the first run.

Last modified on Jan 9, 2026

Example:

curl -X POST "https://api.buddy.works/workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id/actions" \
  -H "Authorization: Bearer <YOUR-TOKEN>" \
  -H "Content-Type: application/json" \
  -d '{
  "name": "Run Blackfire PHP CLI",
  "type": "BLACKFIRE_PHP",
  "trigger_time": "ON_EVERY_EXECUTION",
  "version": "latest",
  "integration": {
    "identifier": "5ddb7c180fb38be67bd78a88a"
  },
  "execute_commands": [
    "composer install",
    "blackfire run bin/console"
  ],
  "setup_commands": [
    "apt-get update && apt-get -y install git"
  ],
  "shell": "BASH"
}'
EXAMPLE RESPONSE
{ "url": "https://api.buddy.works/workspaces/buddy/projects/company-website/pipelines/2/actions/2", "html_url": "https://app.buddy.works/buddy/company-website/pipelines/action/2/edit", "id": 2, "name": "Run Blackfire PHP CLI", "type": "BLACKFIRE_PHP", "trigger_time": "ON_EVERY_EXECUTION", "last_execution_status": "INITIAL", "setup_commands": [ "apt-get update && apt-get -y install git" ], "execute_commands": [ "composer install", "blackfire run bin/console" ], "shell": "SH", "integration": { "identifier": "5ddb7c180fb38be67bd78a88a" }, "version": "latest", "pipeline": { "url": "https://api.buddy.works/workspaces/buddy/projects/company-website/pipelines/2", "html_url": "https://app.buddy.works/buddy/company-website/pipelines/pipeline/2", "id": 2, "name": "Live mirror", "on": "CLICK", "refs": [ "refs/heads/master" ], "last_execution_status": "SUCCESSFUL", "last_execution_revision": "506a3963507943d6908154f4bc9646e829128a08" } }
STATUS
201 Created
LIMITS
X-Rate-Limit-Limit: 1 X-Rate-Limit-Remaining: 999